<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class client_bdt_devices_Controller extends Controller
{
    public $selfName = 'client_bdt_devices_Controller';
    public $dashboardName = 'dashboard';

	// GET /client_bdt_devices
	public function index(Request $request) {
		$records = DB::table('client_bdt_device')->get();
		return response()->view('admin/client_bdt_devices/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /client_bdt_devices/add_new
	public function add_new(Request $request) {
		$records = DB::table('client_bdt_device')->get();
		return response()->view('admin/client_bdt_devices/add_new', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /client_bdt_devices/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/client_bdt_devices/view/$uid/SUB_dashboard");
	}
}
